FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 04-17-2008, 05:41 PM
"Winslett, Chris"
 
Default policygentool in selinux-policy-devel-2.4.6-106

I just installed a fresh copy of Centos 5.1, yum upgraded
all, and the following error occurred with
selinux-policy-devel-2.4.6-106.el5_1.3 rpm.


*


When I was trying to run policygentool, I was getting the
following error:


*


**** Traceback
(most recent call last):


**** *
*File “/usr/share/selinux/devel/policygentool”, line 25, in ?


**** *****Import
polgen


*


ImportError:
No module named polgen


*


Turns out, online 25 the following diff should be made:


*


-
import polgen


+
import sepolgen


*


I assume the Python module changed names.


*


I uninstalled the RPM and reinstalled it to ensure I was
getting the same error, and I did.


*


Christopher Winslett


Harbert Management Corporation







_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-17-2008, 06:32 PM
"Winslett, Chris"
 
Default policygentool in selinux-policy-devel-2.4.6-106

So the fix below is a solution
to the first step of the problem.


*


Turns out, policygentool
actually does need* polgen and not sepolgen.* And polgen is in no RPM’s I could
find in the CentOS 5 repos.


*


How I fixed this was replace the
CentOS 5 file with the Fedora 8 policygentool file.* The Fedora 8 version
actually does not import polgen or sepolgen: it only uses standard Python
libraries.


*






From:
centos-bounces@centos.org [mailto:centos-bounces@centos.org] On Behalf Of Winslett,
Chris

Sent: Thursday, April 17, 2008 12:41 PM

To: centos@centos.org

Subject: [CentOS] policygentool in selinux-policy-devel-2.4.6-106






*


I just installed a fresh copy of Centos 5.1, yum upgraded
all, and the following error occurred with selinux-policy-devel-2.4.6-106.el5_1.3
rpm.


*


When I was trying to run policygentool, I was getting the
following error:


*


****
Traceback (most recent call last):


****
* *File “/usr/share/selinux/devel/policygentool”, line 25, in ?


****
*****Import polgen


*


ImportError:
No module named polgen


*


Turns out, online 25 the following diff should be made:


*


-
import polgen


+
import sepolgen


*


I assume the Python module changed names.


*


I uninstalled the RPM and reinstalled it to ensure I was getting
the same error, and I did.


*


Christopher Winslett


Harbert Management Corporation







_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-17-2008, 07:33 PM
Ralph Angenendt
 
Default policygentool in selinux-policy-devel-2.4.6-106

Winslett, Chris wrote:
> When I was trying to run policygentool, I was getting the following
> error:
>
>
>
> Traceback (most recent call last):
>
> File "/usr/share/selinux/devel/policygentool", line 25, in ?
>
> Import polgen

You should report that upstream at http://bugzilla.redhat.com/.

But as it turns out, it is already reported there:

<https://bugzilla.redhat.com/show_bug.cgi?id=431413>

and

<https://bugzilla.redhat.com/show_bug.cgi?id=437722>

Cheers,

Ralph
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 10:10 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org